---
title: Get certificate log details
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[Radar](https://developers.cloudflare.com/api/typescript/resources/radar)

[CT](https://developers.cloudflare.com/api/typescript/resources/radar/subresources/ct)

[Logs](https://developers.cloudflare.com/api/typescript/resources/radar/subresources/ct/subresources/logs)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get certificate log details

client.radar.ct.logs.get(stringlogSlug, LogGetParams {format } query?, RequestOptionsoptions?): [LogGetResponse](<https://developers.cloudflare.com/api/typescript/resources/radar#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)>) {certificateLog }

GET/radar/ct/logs/{log\_slug}

Retrieves the requested certificate log information.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`User Details Write``User Details Read`

##### ParametersExpand Collapse

logSlug: string

Certificate log slug.

maxLength100

[Link to this property](<#(resource)%20radar.ct.logs%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20log_slug%20%3E%20(schema)>)

<details>

<summary>

query: LogGetParams {format }

</summary>

<details>

<summary>

format?: "JSON"| "CSV"

Format in which results will be returned.

</summary>

One of the following:

"JSON"

<a href="#(resource)%20radar.ct.logs%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"CSV"

<a href="#(resource)%20radar.ct.logs%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20radar.ct.logs%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20format">Link to this property</a>

</details>

[Link to this property](<#(resource)%20radar.ct.logs%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

LogGetResponse {certificateLog }

</summary>

<details>

<summary>

certificateLog: CertificateLog {api, avgThroughput, description, 12 more }

</summary>

<details>

<summary>

api: "RFC6962"| "STATIC"

The API standard that the certificate log follows.

</summary>

One of the following:

"RFC6962"

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20api%20%3E%20(member)%200">Link to this property</a>

"STATIC"

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20api%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20api">Link to this property</a>

avgThroughput: number

The average throughput of the CT log, measured in certificates per hour (certs/hour).

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20avgThroughput">Link to this property</a>

description: string

A brief description of the certificate log.

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20description">Link to this property</a>

endExclusive: string

The end date and time for when the log will stop accepting certificates.

formatdate-time

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20endExclusive">Link to this property</a>

lastUpdate: string

Timestamp of the most recent update to the CT log.

formatdate-time

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20lastUpdate">Link to this property</a>

operator: string

The organization responsible for operating the certificate log.

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20operator">Link to this property</a>

<details>

<summary>

performance: Performance| null

Log performance metrics, including averages and per-endpoint details.

</summary>

<details>

<summary>

endpoints: Array&lt;Endpoint&gt;

</summary>

<details>

<summary>

endpoint: "add-chain (new)"| "add-chain (old)"| "add-pre-chain (new)"| 4 more

The certificate log endpoint names used in performance metrics.

</summary>

One of the following:

"add-chain (new)"

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20performance%20%3E%20(property)%20endpoints%20%3E%20(items)%20%3E%20(property)%20endpoint%20%3E%20(member)%200">Link to this property</a>

"add-chain (old)"

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20performance%20%3E%20(property)%20endpoints%20%3E%20(items)%20%3E%20(property)%20endpoint%20%3E%20(member)%201">Link to this property</a>

"add-pre-chain (new)"

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20performance%20%3E%20(property)%20endpoints%20%3E%20(items)%20%3E%20(property)%20endpoint%20%3E%20(member)%202">Link to this property</a>

"add-pre-chain (old)"

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20performance%20%3E%20(property)%20endpoints%20%3E%20(items)%20%3E%20(property)%20endpoint%20%3E%20(member)%203">Link to this property</a>

"get-entries"

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20performance%20%3E%20(property)%20endpoints%20%3E%20(items)%20%3E%20(property)%20endpoint%20%3E%20(member)%204">Link to this property</a>

"get-roots"

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20performance%20%3E%20(property)%20endpoints%20%3E%20(items)%20%3E%20(property)%20endpoint%20%3E%20(member)%205">Link to this property</a>

"get-sth"

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20performance%20%3E%20(property)%20endpoints%20%3E%20(items)%20%3E%20(property)%20endpoint%20%3E%20(member)%206">Link to this property</a>

</details>

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20performance%20%3E%20(property)%20endpoints%20%3E%20(items)%20%3E%20(property)%20endpoint">Link to this property</a>

responseTime: number

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20performance%20%3E%20(property)%20endpoints%20%3E%20(items)%20%3E%20(property)%20responseTime">Link to this property</a>

uptime: number

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20performance%20%3E%20(property)%20endpoints%20%3E%20(items)%20%3E%20(property)%20uptime">Link to this property</a>

</details>

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20performance%20%3E%20(property)%20endpoints">Link to this property</a>

responseTime: number

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20performance%20%3E%20(property)%20responseTime">Link to this property</a>

uptime: number

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20performance%20%3E%20(property)%20uptime">Link to this property</a>

</details>

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20performance">Link to this property</a>

<details>

<summary>

related: Array&lt;Related&gt;

Logs from the same operator.

</summary>

description: string

A brief description of the certificate log.

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20related%20%3E%20(items)%20%3E%20(property)%20description">Link to this property</a>

endExclusive: string

The end date and time for when the log will stop accepting certificates.

formatdate-time

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20related%20%3E%20(items)%20%3E%20(property)%20endExclusive">Link to this property</a>

slug: string

A URL-friendly, kebab-case identifier for the certificate log.

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20related%20%3E%20(items)%20%3E%20(property)%20slug">Link to this property</a>

startInclusive: string

The start date and time for when the log starts accepting certificates.

formatdate-time

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20related%20%3E%20(items)%20%3E%20(property)%20startInclusive">Link to this property</a>

<details>

<summary>

state: "USABLE"| "PENDING"| "QUALIFIED"| 3 more

The current state of the certificate log. More details about log states can be found here: <a href="https://googlechrome.github.io/CertificateTransparency/log_states.html">https://googlechrome.github.io/CertificateTransparency/log\_states.html</a>

</summary>

One of the following:

"USABLE"

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20related%20%3E%20(items)%20%3E%20(property)%20state%20%3E%20(member)%200">Link to this property</a>

"PENDING"

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20related%20%3E%20(items)%20%3E%20(property)%20state%20%3E%20(member)%201">Link to this property</a>

"QUALIFIED"

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20related%20%3E%20(items)%20%3E%20(property)%20state%20%3E%20(member)%202">Link to this property</a>

"READ\_ONLY"

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20related%20%3E%20(items)%20%3E%20(property)%20state%20%3E%20(member)%203">Link to this property</a>

"RETIRED"

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20related%20%3E%20(items)%20%3E%20(property)%20state%20%3E%20(member)%204">Link to this property</a>

"REJECTED"

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20related%20%3E%20(items)%20%3E%20(property)%20state%20%3E%20(member)%205">Link to this property</a>

</details>

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20related%20%3E%20(items)%20%3E%20(property)%20state">Link to this property</a>

</details>

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20related">Link to this property</a>

slug: string

A URL-friendly, kebab-case identifier for the certificate log.

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20slug">Link to this property</a>

startInclusive: string

The start date and time for when the log starts accepting certificates.

formatdate-time

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20startInclusive">Link to this property</a>

<details>

<summary>

state: "USABLE"| "PENDING"| "QUALIFIED"| 3 more

The current state of the certificate log. More details about log states can be found here: <a href="https://googlechrome.github.io/CertificateTransparency/log_states.html">https://googlechrome.github.io/CertificateTransparency/log\_states.html</a>

</summary>

One of the following:

"USABLE"

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20state%20%3E%20(member)%200">Link to this property</a>

"PENDING"

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20state%20%3E%20(member)%201">Link to this property</a>

"QUALIFIED"

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20state%20%3E%20(member)%202">Link to this property</a>

"READ\_ONLY"

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20state%20%3E%20(member)%203">Link to this property</a>

"RETIRED"

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20state%20%3E%20(member)%204">Link to this property</a>

"REJECTED"

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20state%20%3E%20(member)%205">Link to this property</a>

</details>

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20state">Link to this property</a>

stateTimestamp: string

Timestamp of when the log state was last updated.

formatdate-time

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20stateTimestamp">Link to this property</a>

submittableCertCount: string| null

Number of certificates that are eligible for inclusion to this log but have not been included yet. Based on certificates signed by trusted root CAs within the log’s accepted date range.

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20submittableCertCount">Link to this property</a>

submittedCertCount: string| null

Number of certificates already included in this CT log.

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20submittedCertCount">Link to this property</a>

url: string

The URL for the certificate log.

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog%20%3E%20(property)%20url">Link to this property</a>

</details>

<a href="#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)%20%3E%20(property)%20certificateLog">Link to this property</a>

</details>

[Link to this property](<#(resource)%20radar.ct.logs%20%3E%20(model)%20log_get_response%20%3E%20(schema)>)

### Get certificate log details

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const log = await client.radar.ct.logs.get('argon2024');

console.log(log.certificateLog);
```

200 example

```
{
  "result": {
    "certificateLog": {
      "api": "RFC6962",
      "avgThroughput": 0,
      "description": "Google 'Argon2024' log",
      "endExclusive": "2025-01-01T00:00:00Z",
      "lastUpdate": "2025-01-01T00:00:00Z",
      "operator": "Google",
      "performance": {
        "endpoints": [
          {
            "endpoint": "add-chain (new)",
            "responseTime": 0,
            "uptime": 0
          }
        ],
        "responseTime": 0,
        "uptime": 0
      },
      "related": [
        {
          "description": "Google 'Argon2024' log",
          "endExclusive": "2025-01-01T00:00:00Z",
          "slug": "argon2024",
          "startInclusive": "2024-01-01T00:00:00Z",
          "state": "USABLE"
        }
      ],
      "slug": "argon2024",
      "startInclusive": "2024-01-01T00:00:00Z",
      "state": "USABLE",
      "stateTimestamp": "2025-02-01T08:53:20Z",
      "submittableCertCount": "10",
      "submittedCertCount": "10",
      "url": "https://ct.googleapis.com/logs/us1/argon2024/"
    }
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "result": {
    "certificateLog": {
      "api": "RFC6962",
      "avgThroughput": 0,
      "description": "Google 'Argon2024' log",
      "endExclusive": "2025-01-01T00:00:00Z",
      "lastUpdate": "2025-01-01T00:00:00Z",
      "operator": "Google",
      "performance": {
        "endpoints": [
          {
            "endpoint": "add-chain (new)",
            "responseTime": 0,
            "uptime": 0
          }
        ],
        "responseTime": 0,
        "uptime": 0
      },
      "related": [
        {
          "description": "Google 'Argon2024' log",
          "endExclusive": "2025-01-01T00:00:00Z",
          "slug": "argon2024",
          "startInclusive": "2024-01-01T00:00:00Z",
          "state": "USABLE"
        }
      ],
      "slug": "argon2024",
      "startInclusive": "2024-01-01T00:00:00Z",
      "state": "USABLE",
      "stateTimestamp": "2025-02-01T08:53:20Z",
      "submittableCertCount": "10",
      "submittedCertCount": "10",
      "url": "https://ct.googleapis.com/logs/us1/argon2024/"
    }
  },
  "success": true
}
```